## astroid 2.9.3

=== doc/requirements.txt ===
-e .
sphinx~=4.0

## astroid 1.0.1

=== debian/changelog ===
astroid (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #734075)

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2014 12:14:12 +0100

=== debian/control ===
Source: astroid
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 9.0.0), python, python3
Standards-Version: 3.9.5
Homepage: http://www.astroid.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/astroid/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/astroid/trunk/

Package: python-astroid
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-logilab-common (>= 0.60.0)
Description: rebuild a new abstract syntax tree from Python's AST
 The aim of this module is to provide a common base representation of
 Python source code for projects such as pychecker, pyreverse,
 pylint... Well, actually the development of this library is essentially
 governed by pylint's needs. It used to be called logilab-astng.
 .
 It provides a compatible representation which comes from the `_ast`
 module.  It rebuilds the tree generated by the builtin _ast module by
 recursively walking down the AST and building an extended ast. The new
 node classes have additional methods and attributes for different
 usages.  They include some support for static inference and local name
 scopes.  Furthermore, astroid builds partial trees by inspecting living
 objects.
 .
 Main modules are:
 .
   * `bases`, `node_classses` and `scoped_nodes` contain the classes for the
     different type of nodes of the tree.
 .
   * the `manager` contains a high level object to get astroid trees from
     source files and living objects. It maintains a cache of previously
     constructed tree for quick access.
 .
 python-astroid is the new name of former python-logilab-astng library.

Package: python3-astroid
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-logilab-common (>= 0.60.0)
Description: rebuild a new abstract syntax tree from Python's AST (Python3)
 The aim of this module is to provide a common base representation of
 Python source code for projects such as pychecker, pyreverse,
 pylint... Well, actually the development of this library is essentially
 governed by pylint's needs. It used to be called logilab-astng.
 .
 It provides a compatible representation which comes from the `_ast`
 module.  It rebuilds the tree generated by the builtin _ast module by
 recursively walking down the AST and building an extended ast. The new
 node classes have additional methods and attributes for different
 usages.  They include some support for static inference and local name
 scopes.  Furthermore, astroid builds partial trees by inspecting living
 objects.
 .
 Main modules are:
 .
   * `bases`, `node_classses` and `scoped_nodes` contain the classes for the
     different type of nodes of the tree.
 .
   * the `manager` contains a high level object to get astroid trees from
     source files and living objects. It maintains a cache of previously
     constructed tree for quick access.
 .
 python3-astroid is the new name of former python3-logilab-astng library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG2=python-astroid
PKG3=python3-astroid

%:
	dh $@ --with python2,python3

override_dh_install:
	NO_SETUPTOOLS=1 python setup.py install --no-compile \
			--root=$(CURDIR)/debian/$(PKG2)/ \
			--install-layout=deb
	NO_SETUPTOOLS=1 python3 setup.py install --no-compile \
			--root=$(CURDIR)/debian/$(PKG3)/ \
			--install-layout=deb
	# remove tests files
	rm -rf debian/*/usr/lib/python*/*-packages/astroid/test

override_dh_installdocs:
	dh_installdocs -i README

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://pypi.python.org/packages/source/a/astroid/astroid-(.*)\.tar.gz

## astroid 1.1.1

=== debian/changelog ===
astroid (1.1.1-1) unstable; urgency=medium

  * New upstream release; Closes: #735327
  * debian/control
    - switch me to Maintainer (team to Uploaders)
  * debian/copyright
    - extend upstream copyright years
  * debian/patches/*
    - removed, merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 11 May 2014 17:43:01 +0200

astroid (1.0.1-2) unstable; urgency=low

  * debian/copyright
    - document test/data/SSL1/Connection1.py copyright, as pointed out by
      Thorsten Alteholz
  * debian/patches/bts744225-fix-gi-introspection-issues.patch
    - fix GI introspection issues; thanks to Leo Iannacone for the report;
      Closes: #744225

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Apr 2014 19:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.0.0), python, python3
 Standards-Version: 3.9.5
 Homepage: http://www.astroid.org/

## astroid 1.2.1

=== debian/changelog ===
astroid (1.2.1-3) unstable; urgency=medium

  * debian/patches/afea46c0380956213976db2ce0f1e8f3cf6a0abc.patch
    - enable fine-grained control over extensions loading; this fix is needed
      after #591676 fix; Addresses: #772018

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Dec 2014 21:43:04 +0000

astroid (1.2.1-2) unstable; urgency=medium

  * debian/patches/e24cacb15e2e152db155fdca9197a8d1bf9ce235.patch
    - Never load C extensions that are not from the standard library and also
      never load any compiled Python files; thanks to Jakub Wilk for the report;
      Closes: #591676

 -- Sandro Tosi <morph@debian.org>  Sun, 23 Nov 2014 13:36:44 +0000

astroid (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - update to support multiple tarball formats
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
    - add dh-python to b-d, that package will contain dh_python* scripts

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Nov 2014 14:47:27 +0000

astroid (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Aug 2014 14:47:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python
+Standards-Version: 3.9.6
 Homepage: http://www.astroid.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/astroid/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/astroid/trunk/

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://pypi.python.org/packages/source/a/astroid/astroid-(.*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## astroid 1.3.8

=== debian/changelog ===
astroid (1.3.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - tighen logilab-common deps to >= 0.63.0

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Aug 2015 07:57:06 +0100

astroid (1.3.6-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 00:11:06 +0100

astroid (1.3.6-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - uses PyPI redirector
  * debian/control
    - add python{,3}-nose to b-d, needed to run tests

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Mar 2015 00:28:54 +0000

astroid (1.3.4-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - extend upstream and packaging copyright years
    - update upstream email contact
    - update path location for new upstream code organization
  * debian/control
    - add six to dependencies
    - add setuptoold to b-d
  * debian/patches/*
    - drop patched, they are now part of a release
  * debian/watch
    - update to the proper PyPI location
  * debian/rules
    - test dir has changed name, update rm command

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Feb 2015 21:31:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python
+Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose
 Standards-Version: 3.9.6
 Homepage: http://www.astroid.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/astroid/trunk/
@@ -11,7 +11,7 @@
 
 Package: python-astroid
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-logilab-common (>= 0.60.0)
+Depends: ${python:Depends}, ${misc:Depends}, python-logilab-common (>= 0.63.0), python-six
 Description: rebuild a new abstract syntax tree from Python's AST
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,
@@ -39,7 +39,7 @@
 
 Package: python3-astroid
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-logilab-common (>= 0.60.0)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-logilab-common (>= 0.63.0), python3-six
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 			--root=$(CURDIR)/debian/$(PKG3)/ \
 			--install-layout=deb
 	# remove tests files
-	rm -rf debian/*/usr/lib/python*/*-packages/astroid/test
+	rm -rf debian/*/usr/lib/python*/*-packages/astroid/tests
 
 override_dh_installdocs:
 	dh_installdocs -i README

## astroid 1.4.4

=== debian/changelog ===
astroid (1.4.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Apr 2016 21:09:27 +0100

astroid (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jan 2016 19:35:47 +0000

astroid (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - install README.rst (README was renamed to it)

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jan 2016 02:24:23 +0000

astroid (1.4.1-1) unstable; urgency=medium

  * New upstream release
    - add support for Python 3.5; Closes: #800788
    - correctly handle multiprocessing; Closes: #790884
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add wrapt and lazy_object_proxy to b-d, needed to trigger the packages
      dependencies detection

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Jan 2016 16:36:00 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose
+Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy
 Standards-Version: 3.9.6
 Homepage: http://www.astroid.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/astroid/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/astroid/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/astroid.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/astroid.git
 
 Package: python-astroid
 Architecture: all

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/astroid/astroid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astroid 1.4.8

=== debian/changelog ===
astroid (1.4.8-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Aug 2016 19:29:27 +0100

astroid (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop logilab-common from deps; Closes: #831505

 -- Sandro Tosi <morph@debian.org>  Mon, 18 Jul 2016 19:26:03 +0100

astroid (1.4.6-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release

  [ Ondřej Nový ]
  * Cleanup of d/copyright

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2016 18:54:21 +0100

astroid (1.4.5-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Sat, 23 Apr 2016 01:16:09 +0100

## astroid 1.4.9

=== debian/changelog ===
astroid (1.4.9-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 13:48:17 -0500

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.astroid.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/astroid.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/astroid.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/astroid.git
 
 Package: python-astroid
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-logilab-common (>= 0.63.0), python-six
+Depends: ${python:Depends}, ${misc:Depends}, python-six
 Description: rebuild a new abstract syntax tree from Python's AST
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,
@@ -39,7 +39,7 @@
 
 Package: python3-astroid
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-logilab-common (>= 0.63.0), python3-six
+Depends: ${python3:Depends}, ${misc:Depends}, python3-six
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,4 @@
 	rm -rf debian/*/usr/lib/python*/*-packages/astroid/tests
 
 override_dh_installdocs:
-	dh_installdocs -i README
+	dh_installdocs -i README.rst

## astroid 1.5.3

=== debian/changelog ===
astroid (1.5.3-0ubuntu3) artful; urgency=medium

  * d/control
    - Manually add python-backports.functools-lru-cache to Build-Depends and
      Depends of the Python 2 package as they are missed by dh-python thanks
      to bug #834133.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 03 Aug 2017 12:31:08 -0400

astroid (1.5.3-0ubuntu2) artful; urgency=medium

  * Upstream has added a runtime dependency on setuptools.

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 03 Aug 2017 10:30:42 -0400

astroid (1.5.3-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control
    - Manually add build-depends and depends on python-singledispatch and
      python-enum34 to the Python 2 package, as they are missed by dh-python
      thanks to bug #834133.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 12 Jul 2017 09:24:08 +1200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy
+Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy, python-singledispatch, python-enum34, python-backports.functools-lru-cache
 Standards-Version: 3.9.8
 Homepage: http://www.astroid.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/astroid.git
@@ -11,7 +12,7 @@
 
 Package: python-astroid
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-six
+Depends: ${python:Depends}, ${misc:Depends}, python-six, python-singledispatch, python-enum34, python-setuptools, python-backports.functools-lru-cache
 Description: rebuild a new abstract syntax tree from Python's AST
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,
@@ -39,7 +40,7 @@
 
 Package: python3-astroid
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-six
+Depends: ${python3:Depends}, ${misc:Depends}, python3-six, python3-setuptools
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

## astroid 1.6.0

=== debian/changelog ===
astroid (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update copyright information
  * debian/watch
    - use HTTPS to talk to pypi.debian.net

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Dec 2017 00:27:46 -0500

astroid (1.5.3-2) unstable; urgency=medium

  * debian/control
    - add setuptools and backports.functools-lru-cache (python2 only) to bin
      pkgs depends; Closes: #883360

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Dec 2017 21:11:27 -0500

astroid (1.5.3-1) unstable; urgency=medium

  * New upstream release; Closes: #868819
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)
    - add singledispatch, enum34 to b-d and depends, patch by Michael
      Hudson-Doyle

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Nov 2017 19:31:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy, python-singledispatch, python-enum34, python-backports.functools-lru-cache
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy, python-singledispatch, python-enum34
+Standards-Version: 4.1.2
 Homepage: http://www.astroid.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/astroid.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/astroid.git
 
 Package: python-astroid
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-six, python-singledispatch, python-enum34, python-setuptools, python-backports.functools-lru-cache
+Depends: ${python:Depends}, ${misc:Depends}, python-six, python-singledispatch, python-enum34, python-backports.functools-lru-cache, python-setuptools
 Description: rebuild a new abstract syntax tree from Python's AST
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/astroid/astroid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astroid 1.6.5

=== debian/changelog ===
astroid (1.6.5-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - also look up for version with numbers and dots

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jun 2018 19:00:36 -0400

astroid (1.6.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Sandro Tosi ]
  * New upstream release; Closes: #896113
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Apr 2018 16:31:57 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy, python-singledispatch, python-enum34
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: http://www.astroid.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/astroid.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/astroid.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid
 
 Package: python-astroid
 Architecture: all

## astroid 2.0.4

=== debian/changelog ===
astroid (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Remove pytest cache after running the tests (Closes: #909529)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 25 Sep 2018 13:04:14 +0200

astroid (2.0.4-1) unstable; urgency=medium

  Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Nicolas Dandrimont ]
  * New upstream release
  * Drop python2 package, built from the astroid2 source package
  * Build-Depend on python3-pytest to run tests at buildtime

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 23 Sep 2018 15:17:11 +0200

=== debian/control ===
Source: astroid
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9.0.0), python3-all, dh-python, python3-setuptools, python3-pytest, python3-wrapt, python3-lazy-object-proxy, python3-pytest-runner
Standards-Version: 4.1.4
Homepage: http://www.astroid.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid

Package: python3-astroid
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-six, python3-setuptools
Description: rebuild a new abstract syntax tree from Python's AST (Python3)
 The aim of this module is to provide a common base representation of
 Python source code for projects such as pychecker, pyreverse,
 pylint... Well, actually the development of this library is essentially
 governed by pylint's needs. It used to be called logilab-astng.
 .
 It provides a compatible representation which comes from the `_ast`
 module.  It rebuilds the tree generated by the builtin _ast module by
 recursively walking down the AST and building an extended ast. The new
 node classes have additional methods and attributes for different
 usages.  They include some support for static inference and local name
 scopes.  Furthermore, astroid builds partial trees by inspecting living
 objects.
 .
 Main modules are:
 .
   * `bases`, `node_classses` and `scoped_nodes` contain the classes for the
     different type of nodes of the tree.
 .
   * the `manager` contains a high level object to get astroid trees from
     source files and living objects. It maintains a cache of previously
     constructed tree for quick access.
 .
 python3-astroid is the new name of former python3-logilab-astng library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=astroid
export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp -r {dir}/astroid/tests {build_dir}/astroid/
export PYBUILD_AFTER_TEST=rm {build_dir}/pytest.ini; rm -r {build_dir}/astroid/tests; rm -r {build_dir}/.pytest_cache

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_installdocs:
	dh_installdocs -i README.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.eggs

## astroid 2.1.0

=== debian/changelog ===
astroid (2.1.0-2) unstable; urgency=medium

  * debian/{copyright,control}
    - update project homepage to github; Closes: #917776

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Dec 2018 15:20:41 -0500

astroid (2.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Require newer dh-python which cleans .pytest_cache directory
  * Revert removing of pytest_cache manually

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - add upstream copyright notices
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Dec 2018 18:34:21 -0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python3-all, dh-python, python3-setuptools, python3-pytest, python3-wrapt, python3-lazy-object-proxy, python3-pytest-runner
-Standards-Version: 4.1.4
-Homepage: http://www.astroid.org/
+Build-Depends: debhelper (>= 9.0.0), python3-all, dh-python (>= 3.20180927~), python3-setuptools, python3-pytest, python3-wrapt, python3-lazy-object-proxy, python3-pytest-runner
+Standards-Version: 4.3.0
+Homepage: https://github.com/PyCQA/astroid
 Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid

## astroid 2.3.3

=== debian/changelog ===
astroid (2.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release; Closes: #944716
  * debian/control
    - bump b-d on lazy-object-proxy to >= 1.4.0
  * debian/copyright
    - update upstream copyright information
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Nov 2019 00:08:56 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python3-all, dh-python (>= 3.20180927~), python3-setuptools, python3-pytest, python3-wrapt, python3-lazy-object-proxy, python3-pytest-runner
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 9.0.0), python3-all, dh-python (>= 3.20180927~), python3-setuptools, python3-pytest, python3-wrapt, python3-lazy-object-proxy (>= 1.4.0), python3-pytest-runner
+Standards-Version: 4.4.1
 Homepage: https://github.com/PyCQA/astroid
 Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 export PYBUILD_NAME=astroid
 export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp -r {dir}/astroid/tests {build_dir}/astroid/
-export PYBUILD_AFTER_TEST=rm {build_dir}/pytest.ini; rm -r {build_dir}/astroid/tests; rm -r {build_dir}/.pytest_cache
+export PYBUILD_AFTER_TEST=rm {build_dir}/pytest.ini; rm -r {build_dir}/astroid/tests
 
 %:
 	dh $@ --buildsystem pybuild --with python3

## astroid 2.4.2

=== debian/changelog ===
astroid (2.4.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - (automatically) update upstream copyright notice
    - extend packaging copyright years
  * debian/rules
    - copy tests from their new location
    - skip test_oserror test, currently failing, #798
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)
    - run wrap-and-sort
    - bump compat level to 13

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Jul 2020 23:00:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python3-all, dh-python (>= 3.20180927~), python3-setuptools, python3-pytest, python3-wrapt, python3-lazy-object-proxy (>= 1.4.0), python3-pytest-runner
-Standards-Version: 4.4.1
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               dh-python (>= 3.20180927~),
+               python3-all,
+               python3-lazy-object-proxy (>= 1.4.0),
+               python3-pytest,
+               python3-pytest-runner,
+               python3-setuptools,
+               python3-wrapt,
+Standards-Version: 4.5.0
 Homepage: https://github.com/PyCQA/astroid
 Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid
 
 Package: python3-astroid
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-six, python3-setuptools
+Depends: python3-setuptools,
+         python3-six,
+         ${misc:Depends},
+         ${python3:Depends},
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)
  The aim of this module is to provide a common base representation of
  Python source code for projects such as pychecker, pyreverse,

## astroid 2.5

=== debian/changelog ===
astroid (2.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
    - refresh upstream copyright/license info
  * debian/control
    - bump Standards-Version to 4.5.1 (no changes needed)
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Thu, 18 Feb 2021 23:15:56 -0500

## astroid 2.5.1

=== debian/changelog ===
astroid (2.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
     refresh upstream copyright/license info

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Feb 2021 17:53:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 3.20180927~),
                python3-all,
@@ -11,10 +11,10 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-wrapt,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/PyCQA/astroid
-Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid
+Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid
 
 Package: python3-astroid
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=astroid
-export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp -r {dir}/astroid/tests {build_dir}/astroid/
+export PYBUILD_TEST_ARGS=-k test_oserror
+export PYBUILD_BEFORE_TEST=cp {dir}/pytest.ini {build_dir}; cp -r {dir}/tests {build_dir}/astroid/
 export PYBUILD_AFTER_TEST=rm {build_dir}/pytest.ini; rm -r {build_dir}/astroid/tests
 
 %:

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/astroid/astroid-([0-9.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astroid 2.9.3

=== debian/changelog ===
astroid (2.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - add copyright/license notices for test files too

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jan 2022 23:47:04 -0500

astroid (2.9.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - re-enable test_oserror, fixed upstream in PR #1254
    - stop copying/removing pytest.ini, no longer available nor needed
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright info

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Jan 2022 21:49:35 -0500

astroid (2.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright info

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Dec 2021 01:26:08 -0500

astroid (2.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright info
  * debian/control
    - add typing-extensions to Depends; Closes: #997875
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Nov 2021 23:42:57 -0400

astroid (2.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Oct 2021 20:27:06 -0400

astroid (2.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - track GitHub releases
  * debian/copyright
    - refresh upstream copyright/license info
  * debian/control
    - add typing-extensions to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Oct 2021 21:47:12 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python (>= 3.20180927~),
+               dh-python,
                python3-all,
                python3-lazy-object-proxy (>= 1.4.0),
-               python3-pytest,
-               python3-pytest-runner,
+               python3-pytest <!nocheck>,
+               python3-pytest-runner <!nocheck>,
                python3-setuptools,
+               python3-typing-extensions (>= 3.10.0) <!nocheck>,
                python3-wrapt,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/PyCQA/astroid
 Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid
@@ -20,6 +21,7 @@
 Architecture: all
 Depends: python3-setuptools,
          python3-six,
+         python3-typing-extensions,
          ${misc:Depends},
          ${python3:Depends},
 Description: rebuild a new abstract syntax tree from Python's AST (Python3)

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%astroid-$1.tar.gz%" \
https://github.com/PyCQA/astroid/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## astroid 2.12.10

=== debian/changelog ===
astroid (2.12.10-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Sep 2022 09:42:48 -0400

astroid (2.12.2-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - refresh copyright

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Sep 2022 00:23:37 -0400

## astroid 2.12.12

=== doc/requirements.txt ===
-e .
sphinx~=5.0

=== debian/changelog ===
astroid (2.12.12-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Oct 2022 20:19:27 -0400

## astroid 2.12.13

=== debian/changelog ===
astroid (2.12.13-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.1.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2022 00:25:21 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-typing-extensions (>= 3.10.0) <!nocheck>,
                python3-wrapt,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/PyCQA/astroid
 Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid

## astroid 2.13.3

=== debian/changelog ===
astroid (2.13.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - build using pybuild-plugin-pyproject
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 00:20:47 -0500

## astroid 2.14.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astroid.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astroid.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astroid"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astroid"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
astroid (2.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Feb 2023 16:23:18 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-lazy-object-proxy (>= 1.4.0),
                python3-pytest <!nocheck>,
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-typing-extensions (>= 3.10.0) <!nocheck>,
                python3-wrapt,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Homepage: https://github.com/PyCQA/astroid
 Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=astroid
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/astroid/
export PYBUILD_AFTER_TEST=rm -r {build_dir}/astroid/tests

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_installdocs:
	dh_installdocs -i README.rst

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.eggs

## astroid 2.15.6

=== debian/changelog ===
astroid (2.15.6-1) unstable; urgency=medium

  * New upstream release; Closes: #1041883
  * debian/control
    - add pip to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Jul 2023 02:30:02 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-lazy-object-proxy (>= 1.4.0),
+               python3-pip <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-setuptools,

## astroid 3.0.2

=== doc/requirements.txt ===
-e .
sphinx~=7.2
furo==2023.9.10

=== debian/changelog ===
astroid (3.0.2-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 01:48:16 -0500

astroid (3.0.2-1) unstable; urgency=medium

  * New upstream release; Closes: #1058371, #1058103
  * update github organization from PyCQA to pylint-dev

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Jan 2024 03:28:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: astroid
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
@@ -14,7 +13,7 @@
                python3-typing-extensions (>= 3.10.0) <!nocheck>,
                python3-wrapt,
 Standards-Version: 4.6.2.0
-Homepage: https://github.com/PyCQA/astroid
+Homepage: https://github.com/pylint-dev/astroid
 Vcs-Git: https://salsa.debian.org/python-team/packages/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/astroid
